# GeneratorConfig

class xsdata.models.config.GeneratorConfig(output=<factory>, conventions=<factory>, aliases=None, substitutions=<factory>)

  Generator configuration binding model.

  Variables

    version – xsdata version number the config was created/updated

  Parameters

    - output (`GeneratorOutput`) – Output options

    - conventions (`GeneratorConventions`) – Generator conventions

    - aliases (`Optional`[`GeneratorAliases`, `None`]) – Generator aliases, Deprecated since v21.12, use substitutions

    - substitutions (`GeneratorSubstitutions`) – Generator search and replace substitutions for classes, fields, packages and modules names.

  __eq__(other)

    Return self==value.

  __hash__ = None